### Method

# Vips Image set_delete_on_close

#### Declaration [src]

    void
    vips_image_set_delete_on_close (
      VipsImage* image,
      gboolean delete_on_close
    )

#### Description [src]

Sets the delete_on_close flag for the image. If this flag is set, when `image` is finalized, the filename held in `image`->filename at the time of this call is deleted.

This function is clearly extremely dangerous, use with great caution.

See also

`vips_image_new_temp_file()`.

#### Parameters

`delete_on_close`

  Type: `gboolean`

  Format of file.